Kerbal Space Program - Bug #18202

SM-6A Service Module Jettison shrouds action key
03/23/2018 10:04 PM - kaa253

Status: Not Fixed Start date: 03/23/2018
Severity: Low % Done: 50%
Assignee:

Category: Parts

Target version: 1.4.2

Version: 1.41 Language: English (US)
Platform: Linux Mod Related: No
Expansion: Making History

Description

If you use the action key to jettison the shrouds on the SM-6A then the game shows the animation of the shrouds being jettisoned but
the jettisoned state is apparently not being set as the parachutes will not deploy and an onscreen message describes them as still
being stowed! Alternatively, if you jettison the shrouds through staging (i.e. spacebar) then the chutes will deploy just fine!

History

#1 - 03/25/2018 06:35 AM - Nebbie
- Version changed from Not Applicable to 1.4.1

#2 - 03/27/2018 02:44 PM - Squelch
- Status changed from New to Being Worked On
- % Done changed from 0 to 30

#3 - 03/27/2018 02:46 PM - Squelch
- Status changed from Being Worked On to Investigating
- % Done changed from 30 to 20

#5 - 03/29/2018 10:56 AM - Squelch
- Status changed from Investigating to Ready to Test
- Target version set to 1.4.2

- % Done changed from 20 to 80

#6 - 05/02/2018 04:52 PM - Anth12

- File Before using action key 2.png added

- File After using action key 2.png added

- File SM-6A Test Save.sfs added

- Status changed from Ready to Test to Not Fixed
- % Done changed from 80 to 50

Steam KSP 1.4.1 + MH 1.0

Steam KSP 1.4.2 + MH 1.1

Steam KSP 1.4.3 + MH 1.2

| created the issue in 1.4.1 to see what happened
Tested it in 1.4.2 and it failed

Tested it in 1.4.3 and it failed.

What | did to test:
Once on the runway | pressed 2 (action key) and the shroud came off as per the second screenshot however the staging doesnt reflect it.

After using the action key the shroud icon should have been removed.

The test save will load the craft on the runway.
#7 - 05/02/2018 05:16 PM - Anth12

That was windows 10 not linux which | tested it on

#8 - 07/15/2019 04:35 PM - FiveOneEcho

This has been a constant issue and is still around a year later (Making History v1.7.1)!

Files

Before using action key 2.png 2.58 MB 05/02/2018 Anth12

After using action key 2.png 2.58 MB 05/02/2018 Anth12

SM-6A Test Save.sfs 25.2 KB 05/02/2018 Anth12
